<?php
include_once('def.php');
include('wrenchboard_class.php');
$wrenchboard = new wrenchboard_class();


$data['promo'] = "PROMIFE";
$data['promo_owner'] = 'c5f424c1-5cf1-4677-88ca-2412db0df093';
$data['password'] = 'may12002';
$data['loc']  = "38.101.241.200";

$data['sessionid'] = rand(10000,99999)."A".rand(10000,99999); // dummy for a start
$data['action'] = WRENCHBOARD_PROMO_LOGIN;

$out = array();
$ret = $wrenchboard->wrenchboard_api($data,$out,"loginpromo");


echo "=========================================================.....======================================";
var_dump($out);

if ($out['internal_return'] == 100){
    echo 'Save the session for other use - you will need it';
    $myfile = fopen("../../writable/wrench_session.txt", "w") or die("Unable to open file!");
        fwrite($myfile, $out['session']);
        fwrite($myfile, "\n");
        fwrite($myfile, $out['member_id']);
        fwrite($myfile, "\n");
        fwrite($myfile, $out['uid']);
   fclose($myfile);
}

?>